GET /whatsapp/numbers/available

Numbers (voice + SMS) Postgale can buy now, with Postgale's monthly price. 403 numbers_disabled unless WHATSAPP_NUMBERS_ENABLED=1

GET
/whatsapp/numbers/available

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

country?string

Country

Default"US"
Value in"US""CA"
areaCode?string

3-digit area code

Match^\d{3}$
contains?string

Digits the number contains

Match^\d{1,10}$
limit?integer

Maximum items (default 10, max 50)

Range1 <= value <= 50
Default10

Response Body

{provider, country, priceCents, currency, numbers}

application/json
  1. response
provider?string
country?string
priceCents?integer
currency?string
numbers?array<>
Example Request
curl -X GET 'https://example.com/api/v1/whatsapp/numbers/available'
Example Response
{  "provider": "string",  "country": "string",  "priceCents": 0,  "currency": "string",  "numbers": [    {      "phoneNumber": "string",      "countryCode": "string",      "locality": "string",      "region": "string",      "features": [        "string"      ],      "priceCents": 0,      "currency": "string"    }  ]}